KlimczakM KlimczakM - 4 months ago 11
iOS Question

Ignore compilation warnings when using CocoaPods in Swift

First of all:

inhibit_all_warnings!


do not work for Pods written in Swift, like
Alamofire
. It works only for other Pods, written in Objective-C. How do I block all the warnings?

UPDATE:

This has been fixed in CocoaPods version
1.0.0.beta.1
.

Answer

There is no workaround to fix it. It's a CocoaPods known issue and they are working on it, said Alamofire : https://github.com/Alamofire/Alamofire/issues/937 When it will be fixed, you will just have to update CocoaPods by simply install again your gem:

$ [sudo] gem install cocoapods
Comments